// mfcappView.h : interface of the CMfcappView class
//
/////////////////////////////////////////////////////////////////////////////

class CMfcappView : public CView
{
protected: // create from serialization only
	CMfcappView();
	DECLARE_DYNCREATE(CMfcappView)

// Attributes
public:
	CMfcappDoc* GetDocument();

	BYTE *m_buf;
	UINT m_width;
	UINT m_height;
	UINT m_widthDW;

	void DrawBMP();
	void LoadJPG(CString fileName);
	void LoadBMP(CString fileName);
	void LoadGIF(CString fileName);

	void SaveJPG(CString filename, BOOL color);
	void SaveBMP(CString filename);
	void SaveGIF(CString filename);
	void SaveColorMappedBMP(CString fileName, 
							BYTE * colormappedbuffer,
							 int bitsperpixel,
							 int colors,			// number of colors (number of RGBQUADs)
							 RGBQUAD *colormap);		// array of RGBQUADs 

	BYTE * Make256ColorGrayScaleFromRGB(BYTE * inBuf,
							 UINT m_width, 
							 UINT m_height);

	BYTE * MakeColormapped(BYTE *inBuf,
								  UINT inWidth,
								  UINT inHeight,
								  UINT inWidthBytes,
								  UINT colors,
								  RGBQUAD* colormap);

	// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMfcappView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMfcappView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CMfcappView)
	afx_msg void OnFileOpen();
	afx_msg void OnFileSaveAs();
	afx_msg void OnFileSavegrayas();
	afx_msg void OnFileGetdimensionsjpg();
	afx_msg void OnFileSavecolormappedbmp();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in mfcappView.cpp
inline CMfcappDoc* CMfcappView::GetDocument()
   { return (CMfcappDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
